
U++ - Feature #2078

FileSelButton should display "Select path.." tip

09/27/2020 03:55 AM - Zbigniew Rebacz

Status: Approved Start date: 09/27/2020

Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 0%

Category: CtrlLib Estimated time: 0.00 hour

Target version: Release 2020.2 - NTH Spent time: 0.00 hour

Description

It seems that FileSelButton is missing one big feather - tooltip. I highly suggest to change following line (CtrlLib/CtrlUtil.cpp):

button.SetImage(CtrlImg::right_arrow()).Tip(t_("Select path.."));

.. - means that dialog will be open.

Well, TheIDE code is not perfect and sometimes this class is use and sometimes it is added by hand. Anyway, after applying we should

refactor TheIDE to use only FileSelButton.

History

#1 - 09/27/2020 03:59 AM - Zbigniew Rebacz

- Description updated

#2 - 09/27/2020 12:54 PM - Zbigniew Rebacz

This require more work - probably adding virtual method Tip() would solve the issue.

#3 - 09/27/2020 07:57 PM - Miroslav Fidler

IMO not a good idea. Better to add tip on per usage base in client code ("Open new source file..")

#4 - 09/27/2020 08:01 PM - Zbigniew Rebacz

- Status changed from Patch ready to Rejected

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

#5 - 09/27/2020 08:45 PM - Zbigniew Rebacz

- Status changed from Rejected to New

- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

Anyway the Tip method doesn't work for FileSelButton. You need to set it for FrameRight<Button> button; not for Ctrl. Mirek can you add such

functionality?

#6 - 09/28/2020 08:51 PM - Zbigniew Rebacz

- File FileSelButtonTip.diff added

- Status changed from New to Patch ready
Patch ready...

#7 - 09/29/2020 12:51 PM - Miroslav Fidler

OK, applied. Thanks for the cleanup too :)

#8 - 09/29/2020 12:59 PM - Miroslav Fidler

- Status changed from Patch ready to Approved

Files

FileSelButtonTip.diff 1.15 KB 09/28/2020 Zbigniew Rebacz

04/25/2025 2/2


